Subject: bug#13399: 24.3.50; Word-wrap can't wrap at zero-width space U-200B

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Dec 2017 18:09:17 +0200

> From: Adam Tack <[email-masked]>
> Date: Wed, 13 Dec 2017 04:00:56 +0000
> Cc: [email-masked]
> 
> > Hmm... not sure why you arrived at this conclusion.  E.g., what's
> > wrong with the implementation at the bottom of this message?
> 
> This was very similar to my first try.  Unfortunately, it doesn't work
> correctly in whitespace-mode, even with just normal spaces, regressing
> on Bug#11341.

Right, I missed that.  But then I guess it might be better to leave
this a macro, as the function is not prettier.  Or maybe leave the
case of the char-table being nil as a macro, and put the rest in a
function, like we do in several other places.

Thanks.